%define name kchm
%define version 0.6.5
%define release %mkrel 5
%define __libtoolize /bin/true
%define __cputoolize /bin/true

%define lib_name_orig %mklibname %name
%define lib_major 0
%define lib_name %lib_name_orig%lib_major



Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary: KChm is a new chm viewer for KDE
License: GPL
URL: http://sourceforge.net/projects/kchmnew/
Group: Development/KDE and Qt
Source: http://mesh.dl.sourceforge.net/sourceforge/kchmnew/kchm-0.6.5.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-devel >= 3.2
Requires: %lib_name = %version


%description
KChm is a new chm viewer for KDE. 
It consists of kio_chm, corresponding 
kpart(so you can view chm files in konqueror) 
and a small viewer on top of this.

%package -n %lib_name-devel
Summary:Development files from kchm
Group: Development/KDE and Qt
Requires: %lib_name = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel

%description -n %lib_name-devel
Headers files for kchm.

%package -n %lib_name
Summary: Headers files for kchm
Group: Development/KDE and Qt
Requires: %{name} = %{version}

%description -n %lib_name
Headers files for kchm.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
%configure --disable-rpath --with-xinerama

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

#menus
install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
icon=%{name}.png \
needs="x11" \
section="More Applications/Development/Tools" \
title="Kchm" \
longtitle="%{summary}" \
mimetypes="application/chm" \
xdg="true"
EOF


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Kchm
Comment=%{summary}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
MimeType=application/chm
Categories=X-MandrivaLinux-MoreApplications-Development-Tools;Development;Profiling;
EOF

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png


%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc COPYING INSTALL Doxygen
%attr(0755,root,root) %{_bindir}/%{name}
%_menudir/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%_iconsdir/%{name}.png
%_iconsdir/*/%{name}.png
%_datadir/apps/chmnew/chmnew_shell.rc
%_datadir/apps/chmnewpart/chmnew_part.rc
%_datadir/apps/kchm/chmnew_shell.rc
%_iconsdir/hicolor/*/apps/chm.png
%_iconsdir/locolor/*/apps/chm.png
%_datadir/mimelnk/application/chmmime.desktop
%_datadir/services/chmnew.protocol
%_datadir/services/chmnew_part.desktop
%_datadir/servicetypes/kchm.desktop

%files -n %lib_name
%defattr(-,root,root)
%_libdir/kde3/kio_chmnew.la
%_libdir/kde3/kio_chmnew.so
%_libdir/kde3/libchmnewpart.la
%_libdir/kde3/libchmnewpart.so
%_libdir/libchmmix.so.*



%files -n %lib_name-devel
%defattr(-,root,root)
%_includedir/chm_lib.h
%_includedir/chmxx.h
%_includedir/lzx.h
%_libdir/libchmmix.so
%_libdir/libchmmix.la


%post
%{update_menus}
%{update_desktop_database}

%postun
%{clean_menus}
%{clean_desktop_database}

%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%changelog
* Sun Sep 17 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-17 06:32:58 (61772)
- XDG

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:47:23 (43121)
- import kchm-0.6.5-4mdk

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 0.6.5-4mdk
- remove lib64 hack, fixes x86_64 build

* Fri Oct 14 2005 Buchan Milne <bgmilne@mandriva.org> 0.6.5-3mdk
- %mkrel
- quiet setup
- fix menu (including adding mime type)

* Sun May 15 2005 <plouf@mandriva.org> 0.6.5-2mdk
- Fix silly error

* Sun May 15 2005 <plouf@mandriva.org> 0.6.5-1mdk
- First Mandriva Linux release

